Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.diffmerge.internal.context
Class CompareControls

    java.lang.Object
      org.eclipse.emf.ecp.diffmerge.internal.context.CompareControls

    public final class CompareControls

extends Object

Class to compare Controls for equality.

Author:
  Eugen Neufeld

Method Summary
`static boolean` | `areEqual(VControl left, org.eclipse.emf.ecore.EObject leftDomainModel, VControl right, org.eclipse.emf.ecore.EObject rightDomainModel)` Compares to `VControls`.
`static boolean` | `areEqual(VDomainModelReference left, org.eclipse.emf.ecore.EObject leftDomainModel, VDomainModelReference right, org.eclipse.emf.ecore.EObject rightDomainModel)` Compares to `VDomainModelReferences` by comparing all values.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### areEqual

    public static boolean areEqual(VControl left,
                                   org.eclipse.emf.ecore.EObject leftDomainModel,
                                   VControl right,
                                   org.eclipse.emf.ecore.EObject rightDomainModel)

  Compares to `VControls`. This is just a convenience method which delegates to `areEqual(VDomainModelReference,EObject, VDomainModelReference,EObject)`.

  Parameters:
    `left` - the first VControl to compare
    `leftDomainModel` - The domain model of the left VControl
    `right` - the second VControl to compare
    `rightDomainModel` - The domain model of the right VControl
  Returns:
    true if all values of the `VDomainModelReferences` are equal

### areEqual

    public static boolean areEqual(VDomainModelReference left,
                                   org.eclipse.emf.ecore.EObject leftDomainModel,
                                   VDomainModelReference right,
                                   org.eclipse.emf.ecore.EObject rightDomainModel)

  Compares to `VDomainModelReferences` by comparing all values.

  Parameters:
    `left` - the first `VDomainModelReference`
    `leftDomainModel` - The domain model of the left VControl
    `right` - the second `VDomainModelReference`
    `rightDomainModel` - The domain model of the right VControl
  Returns:
    true if all values of the `VDomainModelReferences` are equal

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.